/**
 * Author: Niels Tsang
 * Date: 2011/07/13
 * 
 * SPOJ 2123 - Candy I (Problem code: CANDY)
 * Problem Type: Ad hoc
 * http://www.spoj.pl/problems/CANDY/
 */

#include <iostream>
using namespace std;

int candies[10001];

int main() {
    int N;
    while( cin >> N ) {
        if( N == -1 ) { break; }
        int sum = 0;
        for( int i=0; i<N; ++i ) {
            cin >> candies[i];
            sum += candies[i];
        }
        int avg = sum / N;
        if( N * avg != sum ) {
            cout << -1 << endl;
        }
        else {
            int output = 0;
            for( int i=0; i<N; ++i ) {
                int diff = candies[i] - avg;
                if( diff > 0 ) {
                    output += diff;
                }
            }
            cout << output << endl;
        }
    }
    return( 0 );
}
